Package org.eclipse.emf.cdo.spi.server

## Class AuthenticationUtil.AuthenticatingOperation<V>

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.AuthenticationUtil.AuthenticatingOperation<V>

- All Implemented Interfaces:
    `java.util.concurrent.Callable<V>`
  Enclosing class:
    AuthenticationUtil

      public abstract static class AuthenticationUtil.AuthenticatingOperation<V>
      extends java.lang.Object
      implements java.util.concurrent.Callable<V>

  Encapsulation of an administrative operation requiring (potentially) client authentication to authorize the operation.
  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticatingOperation​(IAuthenticationProtocol authenticationProtocol)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `V` | `call()` |
    `protected abstract V` | `doCall()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticatingOperation

          public AuthenticatingOperation​(IAuthenticationProtocol authenticationProtocol)

  - ### Method Detail

    - #### call

          public final V call()
                       throws java.lang.Exception

      Specified by:
        `call` in interface `java.util.concurrent.Callable<V>`
      Throws:
        `java.lang.Exception`

    - #### doCall

          protected abstract V doCall()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`